Modify

Opened 3 years ago

Closed 3 years ago

#13007 closed enhancement (fixed)

Make compatible with Trac 1.2

Reported by: Ryan J Ollos Owned by: Ryan J Ollos
Priority: normal Component: ScreenshotsPlugin
Severity: normal Keywords:
Cc: Trac Release: 1.2

Description

The plugin is not compatible with Trac 1.2. It needs to be modified to use the Trac 1.0 database API.

Attachments (1)

1.2.patch (9.6 KB) - added by mail@… 3 years ago.
patch to get ScreenshotPlugin working with trac 1.2

Download all attachments as: .zip

Change History (4)

Changed 3 years ago by mail@…

Attachment: 1.2.patch added

patch to get ScreenshotPlugin working with trac 1.2

comment:1 Changed 3 years ago by mail@…

Please find above a patch that will get this plugin working for trac 1.2. Looking forward to seeing this integrated

comment:2 Changed 3 years ago by Ryan J Ollos

Owner: set to Ryan J Ollos
Status: newaccepted

There are a few other changes that should be made, but the patch is a good start. Thanks.

comment:3 Changed 3 years ago by Ryan J Ollos

Resolution: fixed
Status: acceptedclosed

In 16191:

1.2dev: Adapt to Trac 1.2 API

The changes need additional testing. Please be sure to
backup your environment before upgrading, and preferably
test in a sandbox first. Report any issues to #13007.

Fixes #13007.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Ryan J Ollos.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.